首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
V2EX  ›  msg7086  ›  全部回复第 1 页 / 共 738 页
回复总数  14751
1  2  3  4  5  6  7  8  9  10 ... 738  
1 分钟前
回复了 377163 创建的主题 问与答 收到一封 hack 邮件
现实中如果你收到一封自己发给自己的信,你是会怀疑自己的身体被盗了,还是会怀疑有人在发件栏写了你的信息?
我平时随便开点东西内存使用就超过 20G 了,要是开个游戏玩玩甚至会超过 25G。
5 年前配的 16G 内存已经完全不够用了。
GlusterFS 基于文件,结构很简单,维护起来应该很容易,如果不介意的话直接 NFS mount 应该就行了。
Ceph 可以做成块存储,然后共享出 iSCSI。

硬件拓扑的话,集群内部最好用上专门的内网,不要和扇出流量抢带宽。
Bhyve 的主要问题应该还是在支持度上吧。用 vSphere Stack 的一堆大公司,用 Bhyve 的不知道有多少。踩坑率不一定有 ESXi 那么好。
其实你要的是软件方案还是硬件拓扑方案来着……
GlusterFS? Ceph?
1 天前
回复了 sjmcefc2 创建的主题 Linux libc.so.6 升级一直无法成功,有解吗?
@sjmcefc2 #63
CentOS 和 RHEL 不是更新缓慢的问题。RHEL 本来就是 3-5 年会出一个版本,你在他刚发布的时候用,当然什么都是新的。你等他过了 5 年再用,那当然什么都是旧的。RHEL 7 发布的时候 glibc 是 2.17 ,那么 7 这辈子都只能用 2.17 ,因为更新到新版本就会可能破坏这个平台上所有的软件兼容性。(有时候甚至有些 Bug 也不能修,因为有些程序会依赖一些 Bug 行为,随便修改行为也会导致其他程序出现问题。 )

RHEL 的「稳定」并不是说「运行稳定」,而是说平台稳定,这个平台在生命周期中不会改变。Debian 也好 Ubuntu 也好,固定发行版都是这样的,一旦发布以后就不会再升级软件包了,而只会安装更新。

同理,一些专业的、大型的软件,也会固定在某个版本的发行版上进行开发。不少软件会要求说你必须使用某个发行版的某个版本来运行(比如 Tensorflow 要求 Ubuntu 16/18,我司开发的某个软件要求 Ubuntu 12.04 ,等等),因为他们只针对这个稳定平台进行开发和测试,你如果想要适配到别的发行版,那你就得自己做小白鼠吃螃蟹了。

@sjmcefc2 #53
我的意思是 Tensorflow 官方的 docker 镜像是基于 Ubuntu 制作的。
都重要,看一会儿,写一会儿。
1 天前
回复了 sjmcefc2 创建的主题 Linux libc.so.6 升级一直无法成功,有解吗?
@sjmcefc2 BSD 和 Linux 不完全兼容。很多为 Linux 开发的软件要放到 BSD 上运行可能需要移植。
Docker 在 BSD 上还处于实验性阶段,建议还是 Linux 为好。

话说官方的 Docker 镜像也是基于 Ubuntu 做的,所以你要么在 Docker 里用 Ubuntu,要么直接在母机上用。

除了 Ubuntu 的话那就是和他爹 Debian。Debian 如果再不喜欢的话就只能 Windows 10 了。

Debian 9 相当于 Ubuntu 17.04~17.10 ,正好落在 16.04 和 18.04 中间,所以应该也是能顺利跑的。

@luassuns Debian 跨版本升级还是很靠谱的。
2 天前
回复了 sjmcefc2 创建的主题 Linux libc.so.6 升级一直无法成功,有解吗?
支持你要用的软件的,就比不支持你要用的软件的,要好一点。

比如说他支持 Ubuntu 16.04+ (这个是 2016 年发行的,比 RHEL 7.x 新 2 年),那你装个 16.04 或者 18.04 就是很好的。
直接给 root 和给你一个账号然后提权到 root 没有任何区别,除了后者更麻烦。

你登录服务器是为了管理。管理必须用到 sudo。所以你每个命令前都加 sudo。
那么和直接开 root 并没有什么区别。
2 天前
回复了 Fule 创建的主题 git 有事没事运行一下 git gc 命令还是有好处的
@Fule #7 reflog 不一定要 git 玩虚脱才会用到。如果你执行了一些命令进行测试,而稍后需要回滚,有可回收提交会方便很多。

PS: 我手头的 Git 图形界面会自动 gc,根本不需要手动做……
2 天前
回复了 sjmcefc2 创建的主题 Linux libc.so.6 升级一直无法成功,有解吗?
@sjmcefc2 #14
10 楼已经说过了,RHEL 7 是 2014 年发行的。别说 7.6,就是 7.998 ,那也是 2014 年发行的。
如果 Tensorflow 需要 glib 2.23 ,而 RHEL 7 没有 glibc 2.23+,那说明 Tensorflow 不支持 RHEL 7,你需要删掉你的系统,然后换一个支持的版本。

而且你有没有想过,你装上了 glibc 2.23 以后,整个系统里那么多依赖 glibc 2.17 的软件怎么办?
按照技能招人也不是你把自己限定在一种语言上的理由啊。
4 天前
回复了 mulu 创建的主题 全球工单系统 时间基准服务 202.112.10.36 偏差 50 秒
IP address 202.112.10.36
Reverse DNS (PTR record) gus.buptnet.edu.cn

北邮在 cn pool 里的节点吧。
4 天前
回复了 sudo2 创建的主题 问与答 tracert 发现路由异常绕远路
所以每一跳到底多少时间?
说句题外话,行李箱上最好挂上名牌,里面写一份国内的地址,写一份国外的暂住地址,这样一方面不容易认错,一方面就算认错了别人也方便联系和送回。
5 天前
回复了 1800x 创建的主题 Linux debian stretch 推荐个能用的 usb 无线网卡吧
新硬件的话先试着把内核升到 buster 的 4.19 看看?
@pypy 那邮件是从你们邮件服务器里发出来的吗?还是外面随便伪造的?
@pypy 怎么看出来用内部公共账号发的……
1  2  3  4  5  6  7  8  9  10 ... 738  
关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   2138 人在线   最高记录 4385   ·  
创意工作者们的社区
World is powered by solitude
VERSION: 3.9.8.3 · 66ms · UTC 06:33 · PVG 14:33 · LAX 23:33 · JFK 02:33
♥ Do have faith in what you're doing.
沪ICP备16043287号-1